POST /v1/objects/storage-nodes/< id /actions/migrate-external-volumes/invoke

Virtual Storage Platform One SDS Cloud for Microsoft Azure Data Migration

Version
1.18.x
Audience
anonymous
Part Number
MK-24VSP1SDS032-02

Required role: Storage

DESCRIPTION

Migrates data of all external volumes connected to the specified storage node (initiator node) to ordinary volumes.

REQUEST BODY

Uses default content-types: application/json

REQUEST PARAMETERS

Name

Description

Type

Data type

id

Storage node ID.

path

string (uuid) required

REQUEST EXAMPLE

The following example shows how a REST API is executed by using curl for VSP One SDS Block at IP address 192.168.1.100 with the username as admin and the password as password.

curl -u admin:password -i -X POST -H "Content-Type: application/json" -H "Expect:" -d '{"createsCompressionVolumes": true, "destinationFaultDomainId": "355d32ce-c97f-4adf-9057-49d2e287974b"}' https://192.168.1.100/ConfigurationManager/simple/v1/objects/storage-nodes/dd5ed12b-cf39-47da-9a30-5ba53404050e/actions/migrate-external-volumes/invoke
Note:

In the request example, the data reduction function is set to enabled ("createsCompressionVolumes": true).

Also, the ID of the migration-destination fault domain ("destinationFaultDomainId": "355d32ce-c97f-4adf-9057-49d2e287974b") is specified. Specifying the ID of the migration-destination fault domain is necessary only when the storage cluster to be migrated applies Multi-AZ configuration.

RESPONSES

Uses default content-types: application/json

202 Accepted
Indicates that an asynchronous process request was accepted.
400 Bad Request
Indicates that the request header, query parameter, and request body are incorrect.
401 Unauthorized
Indicates that no Authorization header is specified for the request header, authentication using the information specified for the Authorization header was unsuccessful, or authentication using a parameter was unsuccessful.

Header

Description

Data type

WWW-Authenticate

Indicates that authentication is required.

  • When basic authentication was unsuccessful including session creation failures: Basic realm="Block storage"

  • When session authentication was unsuccessful: Session realm="Block storage"

string

403 Forbidden
Indicates that you are not authorized to perform the operation.
404 Not Found
Indicates that the resource specified by the URL was not found, or you are not authorized to see the resource.
406 Not Acceptable
Indicates that an unsupported media type was specified for the Accept header.
411 Length Required
Indicates that the Content-Length header must be specified. It is returned when the request body was not specified and "Content-Length: 0" was not specified as the header parameter.
413 Request Entity Too Large
Indicates that the size of the request body exceeds the acceptable upper limit.
415 Unsupported Media Type
Indicates that an unsupported media type was specified for the Content-Type header.
417 Expectation Failed
Indicates that the Expect header is specified incorrectly, or the REST server does not support the Expect header.
431 Request Header Fields Too Large
Indicates that the size of the request header exceeds the acceptable upper limit.
500 Internal Server Error
Indicates that an internal error occurred on the REST server or in the target storage cluster.
502 Bad Gateway
Indicates that an internal error occurred on the REST server.
503 Service Unavailable
Indicates that the request cannot be received because the REST server or the target storage cluster is busy. This is a temporary problem, and the request might be processed normally if it is executed again after a while.
504 Gateway Timeout
Indicates that the REST server did not respond.

Authentication schemes

  • basic authentication

  • session authentication